petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscInfoActivateClass

Activates PetscInfo() messages for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscInfoActivateClass(PetscClassId classid)

Not Collective

### Input Parameter

classid -The object class, e.g., MAT_CLASSID, SNES_CLASSID, etc.

### Notes

One can pass 0 to activate all messages that are not associated with an object.

### See Also

PetscInfoDeactivateClass(), PetscInfo(), PetscInfoAllow()

### Level

developer

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages